Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Communications Framework (ECF) » ECF 0.9.3 API refactoring release
ECF 0.9.3 API refactoring release [message #609261] Wed, 15 November 2006 19:33
Scott Lewis is currently offline Scott Lewis
Messages: 970
Registered: July 2009
Senior Member
Hi Folks,

ECF 0.9.3 stable (the 'API refactoring' release) is now available here:

http://www.eclipse.org/ecf/downloads.php

The new and noteworthy, detailing the API changes is here:

http://www.eclipse.org/ecf/NewAndNoteworthy_0.9.3.html

Get the source/project set files here:

http://www.eclipse.org/ecf/dev_resources.php

I think great improvement was made with this refactoring...resulting in
a smaller code size for core plugins (about 1/2 the size...150K->80K),
ability for the core plugins to run on small CDC 1.0/Foundation 1.0
execution environments, much cleaner and more consistent APIs, much
better compliance with API guidelines and requirements, and much more
complete documentation for the APIs i.e. see

http://www.eclipse.org/ecf/org.eclipse.ecf.docs/api/

I'm convinced that this will serve as a much stronger base to work from
for our upcoming ECF application and UI work.

Thanks particularly go to Remy Suen, but also Erkki Lindpere and Pete
Mackie for helping with patches, bug fixes, API suggestions, UI
work/artwork, more/better test code, and new build/deploy with improvements.

PLEASE NOTE: This is a backward-compatibility breaking release
(hopefully last one for a while) as a number of classes changed
packages, extension points renamed, etc. It will require a *refactoring
and recompile* of apps written to earlier ECF APIs. See the n&n for
details about changes.

Also, if you have 0.9.2 or previous install of ECF it's necessary to
uninstall the previous releases before installing 0.9.3. See the
downloads.php page if you need to do this.

NOTE ALSO: The ECF generic server is currently at an older
(incompatible) version ~0.9.0 and will soon have to be updated to 0.9.3
to allow new clients to connect to it. I'm anticipating updating that
server with 0.9.3 code on 11-18-2006. Prior to that old clients (<=
0.9.2) will work with the generic server at
ecftcp://ecf.eclipse.org:3282/server but after that 0.9.3 clients will
be necessary.

Thanks,

Scott
Previous Topic:ECF & CORBA
Next Topic:ECF 0.93 Woes
Goto Forum:
  


Current Time: Sun Aug 31 00:37:34 EDT 2014

Powered by FUDForum. Page generated in 0.02136 seconds